MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
ClientList Class Reference

`#include <ClientList.hxx>`

## Public Member Functions
| ClientList (unsigned _max_size)
| ~ClientList ()
List::iterator | begin ()
List::iterator | end ()
bool | IsFull () const
void | Add (Client &client)
void | Remove (Client &client)
void | CloseAll ()
void | IdleAdd (unsigned flags)

## Detailed Description

Definition at line 27 of file ClientList.hxx.

## Constructor & Destructor Documentation

ClientList::ClientList | ( | unsigned | _max_size | ) |
| inline

Definition at line 36 of file ClientList.hxx.

ClientList::~ClientList | ( |  | ) |
| inline

Definition at line 38 of file ClientList.hxx.

## Member Function Documentation

void ClientList::Add | ( | Client & | client | ) |
| inline

Definition at line 54 of file ClientList.hxx.

List::iterator ClientList::begin | ( |  | ) |
| inline

Definition at line 42 of file ClientList.hxx.

void ClientList::CloseAll | ( |  | ) |

List::iterator ClientList::end | ( |  | ) |
| inline

Definition at line 46 of file ClientList.hxx.

void ClientList::IdleAdd | ( | unsigned | flags | ) |

bool ClientList::IsFull | ( |  | ) | const
| inline

Definition at line 50 of file ClientList.hxx.

void ClientList::Remove | ( | Client & | client | ) |

The documentation for this class was generated from the following file:

- client/ClientList.hxx